import { LRLanguage, LanguageSupport } from "@codemirror/language";
interface ELIdentifier {
    name: string;
    detail?: string;
    info?: string;
    type?: string[];
}
interface ELFunction {
    name: string;
    args: string[];
    info?: string;
    returnType?: string[];
}
interface ExpressionLanguageConfig {
    types?: {
        [key: string]: {
            identifiers?: ELIdentifier[];
            functions?: ELFunction[];
            type?: string;
            info?: string;
        };
    };
    identifiers?: ELIdentifier[];
    functions?: ELFunction[];
    operatorKeywords?: readonly {
        name: string;
        detail?: string;
        info?: string;
    }[];
}
declare const keywordTooltip: (config: ExpressionLanguageConfig) => import("@codemirror/state").Extension;
declare const ELLanguage: LRLanguage;
declare function expressionlanguage(config?: ExpressionLanguageConfig, extensions?: Array<any>): LanguageSupport;
export { ELIdentifier, ELFunction, ExpressionLanguageConfig, keywordTooltip, ELLanguage, expressionlanguage };
